Change log for libcoap2 package in Ubuntu

16 of 6 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-11-09
Deleted in focal-proposed (Reason: moved to Release)
libcoap2 (4.2.1-1) unstable; urgency=medium

  * [b50ef82] New upstream version 4.2.1
  * [d1ec9d7] d/control: increase Standards-Version to 4.4.1
    No further changes needed.
  * [73a2408] rebuild patch queue from patch-queue branch
    removed patches (now already applied upstream):
    Client-crashes-in-gnutls-psk-setup.patch
    Fix-321-was-not-correctly-implemented.patch
  * [cc1dfd7] d/watch: head over to use git mode of uscan
  * [1e186c1] libcoap2.symbols: bumping library version
    The release 4.2.1 comes with a version bump of the API due new added
    symbols, thus requires a adjustment within the symbols file.
  * [3e6d210] Lintian: adjust override due changed library versions
    Also the new API version requires a small adjustment to the used override
    rule.

 -- Carsten Schoenert <email address hidden>  Sat, 09 Nov 2019 09:09:24 +0100

Available diffs

Superseded in focal-release on 2019-11-09
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
libcoap2 (4.2.0-2) unstable; urgency=medium

  * [2f3b27d] rebuild patch queue from patch-queue branch
    added patches (cherry-picked from upstream):
    Client-crashes-in-gnutls-psk-setup.patc
    Fix-321-was-not-correctly-implemented.patch
    These patches fixing a possible crash in the GnuTLS bindings due a
    possible null pointer dereferenced access.

 -- Carsten Schoenert <email address hidden>  Sat, 13 Apr 2019 08:00:48 +0200

Available diffs

Superseded in eoan-release on 2019-04-21
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-07-14 (Reason: moved to release)
libcoap2 (4.2.0~rc4-1) unstable; urgency=medium

  * [f43d44d] New upstream version 4.2.0~rc4
  * [5a2c245] d/control: increase Standards-Version to 4.3.0
    No further changes needed.
  * [e3ecdb0] debian-compat: moving over completely to dh12
    Using debhelper-compat for managing the debhelper version and compatibility
    level.

 -- Carsten Schoenert <email address hidden>  Sat, 09 Feb 2019 07:43:56 +0100

Available diffs

Superseded in disco-release on 2019-02-09
Deleted in disco-proposed on 2019-02-10 (Reason: moved to release)
libcoap2 (4.2.0~rc3-1) unstable; urgency=medium

  * [fadd273] New upstream version 4.2.0~rc3
  * [7890942] rebuild patch queue from patch-queue branch
    removed patches (pplied upstream):
    spelling-fix-apropriate-appropriate.patch
    spelling-fix-bandwith-bandwidth.patch
    spelling-fix-compatability-compatibility.patch
    spelling-fix-outputing-outputting.patch
    spelling-fix-seperate-separate.patch
    spelling-fix-whith-with.patch
    modified patch:
    examples-Makefile.am-remove-DTLS_LIBS-variable.patch
    added patch:
    spelling-fix-Addtional-Additional.patch
  * [6927ca7] d/control: adding B-D on libgnutls28-dev
    Ensure the GnutLS headers/library are around as the new upstream version now
    also supports the build of an GnuTLS DTLS library version.
  * [d0232b0] d/rules: turning on the build of GnuTLS DTLS
  * [2ab4f83] libcoap2.symbols: adding new entry for libcoap-2-gnutls.so.0
  * [bd6b427] Lintian: update override for libcoap2
  * [ab47113] libcoap2-bin: symlink the man pages
    The content of every man page for every example binary which is linked
    against a specific library is equal to the provided man page based on the
    non DTLS variant. Due this we can simply symlink to the real existing man
    page variant.

 -- Carsten Schoenert <email address hidden>  Fri, 21 Dec 2018 08:34:36 +0100
Superseded in disco-release on 2019-01-08
Deleted in disco-proposed on 2019-01-10 (Reason: moved to release)
libcoap2 (4.2.0~rc2+20181111-1) unstable; urgency=medium

  * [da8f1e5] New upstream version 4.2.0~rc2+20181111
    This reflects the current HEAD from upstream while preparing this package
    upload.
  * [e893a8d] create patche queue from patchqueue branch
    We need currently some patches as upstream isn't providing the example
    binaries in various binaries names associated with the used library.
    Unfortunately upstream has a different view on this.
  * [883c843] d/copyright: small update after upstream change
  * [17da55f] d/rules: catch correct pkg-config files on clean up
    Small oversight from the first packaging work, find all pkg-config files
    which have included the API version in their names instead of the old file
    with the previous version. Anyway, just related to the package build
    process itself.
  * [d6d416c] libcoap2.symbols: correct package dependency
    As all the created libraries are provided by the package libcoap2 we don't
    can declare an dependency on a non existing binary package in the symbols
    file.
  * [f2c53c9] libcoap2.symbols: adding information about dependency
  * [6a31da6] Lintian: update override controlling
    Due the changes we need to update (remove) some Lintian specific overrides.
  * [db82dac] debhelper: bump compat version to version 12
    Bump to dh12 so we can use and test functions from the upcoming next
    debhelper version.
  * [86efedd] d/rules: remove *.la files from d/tmp
  * [d5384b4] libcoap: also install new existing man pages

 -- Carsten Schoenert <email address hidden>  Sat, 24 Nov 2018 09:04:18 +0100
Superseded in disco-proposed on 2018-11-24
libcoap2 (4.2.0~rc1-1) unstable; urgency=medium

  * initial packaging (Closes: #905134)
  * [34e2472] New upstream version 4.2.0~rc1

 -- Carsten Schoenert <email address hidden>  Sat, 14 Oct 2018 14:30:39 +0200
16 of 6 results